> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List extractions

> List the project's extraction runs.

**Operation ID:** `http.semantic_tasks.file_extractions.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions:
    get:
      tags:
        - Extraction
      summary: List extractions
      description: |-
        List the project's extraction runs.

        Product guidance: [Extraction](/concepts/extraction).
      operationId: http.semantic_tasks.file_extractions.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: file_id
          in: query
          required: true
          description: The File whose runs to list.
          schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
        - name: limit
          in: query
          required: false
          description: Page size, 1 to 100. Defaults to 50.
          schema:
            type: string
            pattern: ^\d+$
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/http_semantic_tasks_file_extractions_list_response
      security:
        - bearerAuth: []
components:
  schemas:
    http_semantic_tasks_file_extractions_list_response:
      type: object
      properties:
        schema:
          type: string
          const: penumbra.file-extraction-run-page
        version:
          type: number
          const: 1
        file_id:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              schema:
                type: string
                const: penumbra.file-extraction-run
              version:
                type: number
                const: 1
              run_id:
                type: string
              request_id:
                type: string
              scope:
                oneOf:
                  - type: object
                    properties:
                      kind:
                        type: string
                        const: files
                      file_ids:
                        minItems: 1
                        maxItems: 256
                        type: array
                        items:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    required:
                      - kind
                      - file_ids
                    additionalProperties: false
                  - type: object
                    properties:
                      kind:
                        type: string
                        const: collection
                      collection_id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    required:
                      - kind
                      - collection_id
                    additionalProperties: false
              source_file_ids:
                type: array
                items:
                  type: string
              collection:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      revision:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - id
                      - revision
                    additionalProperties: {}
                  - type: 'null'
              status:
                type: string
                enum:
                  - queued
                  - running
                  - completed
                  - stale
                  - failed
              preset:
                type: object
                properties:
                  kind:
                    type: string
                    enum:
                      - shape
                      - lens
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    anyOf:
                      - type: string
                      - type: 'null'
                  shapes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                      required:
                        - id
                        - name
                      additionalProperties: {}
                required:
                  - kind
                  - id
                  - name
                  - description
                  - shapes
                additionalProperties: {}
              level:
                anyOf:
                  - type: string
                  - type: 'null'
              continues_run_id:
                anyOf:
                  - type: string
                  - type: 'null'
              continued_by_run_id:
                anyOf:
                  - type: string
                  - type: 'null'
              actions:
                type: object
                properties:
                  retry:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - available
                          - hidden
                          - blocked
                      reason_code:
                        anyOf:
                          - type: string
                          - type: 'null'
                      message:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - reason_code
                      - message
                    additionalProperties: {}
                required:
                  - retry
                additionalProperties: {}
              destination:
                type: object
                properties:
                  workspace_id:
                    type: string
                  workspace_name:
                    type: string
                  context_id:
                    type: 'null'
                required:
                  - workspace_id
                  - workspace_name
                  - context_id
                additionalProperties: {}
              result_counts:
                type: object
                properties:
                  accepted:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  needs_evidence:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  rejected:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  repair:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - accepted
                  - needs_evidence
                  - rejected
                  - repair
                additionalProperties: {}
              error_code:
                anyOf:
                  - type: string
                  - type: 'null'
              failure_code:
                anyOf:
                  - type: string
                  - type: 'null'
              progress:
                anyOf:
                  - type: object
                    properties:
                      cursor:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      step:
                        anyOf:
                          - type: string
                            enum:
                              - draft
                              - review
                              - record
                              - synthesis
                              - reconcile
                              - support
                              - resuming
                              - stopping
                          - type: 'null'
                      parts:
                        type: object
                        properties:
                          done:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          total:
                            anyOf:
                              - type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              - type: 'null'
                        required:
                          - done
                          - total
                        additionalProperties: false
                      live:
                        type: object
                        properties:
                          entities:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          relationships:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                        required:
                          - entities
                          - relationships
                        additionalProperties: false
                      by_type:
                        type: array
                        items:
                          type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - entity
                                - relationship
                            type_id:
                              type: string
                            type_name:
                              type: string
                              minLength: 1
                              maxLength: 256
                            live:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                          required:
                            - kind
                            - type_id
                            - type_name
                            - live
                          additionalProperties: false
                      not_accepted:
                        type: object
                        properties:
                          needs_evidence:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          rejected:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                        required:
                          - needs_evidence
                          - rejected
                        additionalProperties: false
                      stop_requested:
                        type: boolean
                    required:
                      - cursor
                      - step
                      - parts
                      - live
                      - by_type
                      - not_accepted
                      - stop_requested
                    additionalProperties: false
                  - type: 'null'
              stopped_early:
                type: boolean
              review_not_run:
                type: boolean
              incomplete:
                default: null
                anyOf:
                  - type: object
                    properties:
                      parts_delivered:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      parts_total:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      reconciled:
                        type: boolean
                      failure_code:
                        anyOf:
                          - type: string
                          - type: 'null'
                      files_not_fully_read:
                        anyOf:
                          - maxItems: 256
                            type: array
                            items:
                              type: object
                              properties:
                                file_id:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                partly_read:
                                  type: boolean
                              required:
                                - file_id
                                - partly_read
                              additionalProperties: false
                          - type: 'null'
                    required:
                      - parts_delivered
                      - parts_total
                      - reconciled
                      - failure_code
                      - files_not_fully_read
                    additionalProperties: false
                  - type: 'null'
              over_limit_count:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              created_at:
                type: string
              updated_at:
                type: string
              completed_at:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - schema
              - version
              - run_id
              - request_id
              - scope
              - source_file_ids
              - collection
              - status
              - preset
              - level
              - continues_run_id
              - continued_by_run_id
              - actions
              - destination
              - result_counts
              - error_code
              - failure_code
              - progress
              - stopped_early
              - review_not_run
              - incomplete
              - over_limit_count
              - created_at
              - updated_at
              - completed_at
            additionalProperties: {}
        page:
          type: object
          properties:
            limit:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            has_more:
              type: boolean
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - limit
            - has_more
            - next_cursor
          additionalProperties: {}
      required:
        - schema
        - version
        - file_id
        - data
        - page
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.